VREDefinitionBean (VRE Manager Portlet 6.0.0-4.6.0-129692 API)
Date: 2017-07-29

org.gcube.portlets.admin.vredeployment.shared

## Class VREDefinitionBean

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - com.extjs.gxt.ui.client.data.BaseModel
    - - org.gcube.portlets.admin.vredeployment.shared.VREDefinitionBean

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ChangeEventSource, com.extjs.gxt.ui.client.data.Model, com.extjs.gxt.ui.client.data.ModelData, Serializable

      public class VREDefinitionBean
      extends com.extjs.gxt.ui.client.data.BaseModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `changeEventSupport`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

    - ### Fields inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource

      `Add, Remove, Update`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREDefinitionBean()`
    `VREDefinitionBean(String id, String name, String description, String designer, String manager, Date startingDate, Date endingDate, String status, String summary)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getDesigner()`
    `Date` | `getEndingDate()`
    `String` | `getId()`
    `String` | `getManager()`
    `String` | `getName()`
    `Date` | `getStartingDate()`
    `String` | `getStatus()`
    `String` | `getSummary()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `addChangeListener, addChangeListener, fireEvent, fireEvent, isSilent, notify, notifyPropertyChanged, remove, removeChangeListener, removeChangeListeners, set, setSilent`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.extjs.gxt.ui.client.data.ModelData

      `get, getProperties, getPropertyNames`

- - ### Constructor Detail

    - #### VREDefinitionBean

          public VREDefinitionBean()

    - #### VREDefinitionBean

          public VREDefinitionBean(String id,
                                   String name,
                                   String description,
                                   String designer,
                                   String manager,
                                   Date startingDate,
                                   Date endingDate,
                                   String status,
                                   String summary)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### getDescription

          public String getDescription()

    - #### getDesigner

          public String getDesigner()

    - #### getManager

          public String getManager()

    - #### getStartingDate

          public Date getStartingDate()

    - #### getEndingDate

          public Date getEndingDate()

    - #### getStatus

          public String getStatus()

    - #### getSummary

          public String getSummary()

Copyright © 2017. All Rights Reserved.